%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  comparator
%global packver   0.1.4
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.4
Release:          1%{?dist}%{?buildtag}
Summary:          Comparison Functions for Clustering and Record Linkage

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-Rcpp >= 1.0.5
BuildRequires:    R-CRAN-proxy >= 0.4
BuildRequires:    R-CRAN-clue >= 0.3
BuildRequires:    R-methods 
Requires:         R-CRAN-Rcpp >= 1.0.5
Requires:         R-CRAN-proxy >= 0.4
Requires:         R-CRAN-clue >= 0.3
Requires:         R-methods 

%description
Implements functions for comparing strings, sequences and numeric vectors
for clustering and record linkage applications. Supported comparison
functions include: generalized edit distances for comparing
sequences/strings, Monge-Elkan similarity for fuzzy comparison of token
sets, and L-p distances for comparing numeric vectors. Where possible,
comparison functions are implemented in C/C++ to ensure good performance.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
